<!DOCTYPE html>
<!-- Generated by pkgdown: do not edit by hand --><html lang="en"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><meta charset="utf-8"><meta http-equiv="X-UA-Compatible" content="IE=edge"><meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no"><title>Backup Google Drive file locally — backup_g_file • fokus</title><script src="../lightswitch.js"></script><script src="../deps/jquery-3.6.0/jquery-3.6.0.min.js"></script><meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no"><link href="../deps/bootstrap-5.3.1/bootstrap.min.css" rel="stylesheet"><script src="../deps/bootstrap-5.3.1/bootstrap.bundle.min.js"></script><link href="../deps/font-awesome-6.5.2/css/all.min.css" rel="stylesheet"><link href="../deps/font-awesome-6.5.2/css/v4-shims.min.css" rel="stylesheet"><script src="../deps/headroom-0.11.0/headroom.min.js"></script><script src="../deps/headroom-0.11.0/jQuery.headroom.min.js"></script><script src="../deps/bootstrap-toc-1.0.1/bootstrap-toc.min.js"></script><script src="../deps/clipboard.js-2.0.11/clipboard.min.js"></script><script src="../deps/search-1.0.0/autocomplete.jquery.min.js"></script><script src="../deps/search-1.0.0/fuse.min.js"></script><script src="../deps/search-1.0.0/mark.min.js"></script><!-- pkgdown --><script src="../pkgdown.js"></script><meta property="og:title" content="Backup Google Drive file locally — backup_g_file"><meta name="description" content="Creates a local backup of a Google Drive file."><meta property="og:description" content="Creates a local backup of a Google Drive file."><meta name="twitter:card" content="summary"><meta name="twitter:creator" content="@2BSalim"><meta name="twitter:site" content="@2BSalim"><meta name="robots" content="noindex"><script src="https://rpkg.dev/counter-dev.min.js" data-id="4c4963fe-9fcf-4d81-95bb-2135e114b85b" data-utcoffset="1"></script></head><body>
    <a href="#main" class="visually-hidden-focusable">Skip to contents</a>


    <nav class="navbar navbar-expand-lg fixed-top " aria-label="Site navigation"><div class="container">

    <a class="navbar-brand me-2" href="../index.html">fokus</a>

    <small class="nav-text text-danger me-auto" data-bs-toggle="tooltip" data-bs-placement="bottom" title="In-development version">0.0.9025</small>


    <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbar" aria-controls="navbar" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>

    <div id="navbar" class="collapse navbar-collapse ms-3">
      <ul class="navbar-nav me-auto"><li class="active nav-item"><a class="nav-link" href="../reference/index.html">Reference</a></li>
<li class="nav-item dropdown">
  <button class="nav-link dropdown-toggle" type="button" id="dropdown-articles" data-bs-toggle="dropdown" aria-expanded="false" aria-haspopup="true">Articles</button>
  <ul class="dropdown-menu" aria-labelledby="dropdown-articles"><li><a class="dropdown-item" href="../articles/raw_qstnr_schema.html">FOKUS questionnaire schema</a></li>
  </ul></li>
      </ul><ul class="navbar-nav"><li class="nav-item"><form class="form-inline" role="search">
 <input class="form-control" type="search" name="search-input" id="search-input" autocomplete="off" aria-label="Search site" placeholder="Search for" data-search-index="../search.json"></form></li>
<li class="nav-item"><a class="external-link nav-link" href="https://gitlab.com/zdaarau/rpkgs/fokus/" aria-label="GitLab"><span class="fa fab fa-gitlab fa-lg"></span></a></li>
<li class="nav-item dropdown">
  <button class="nav-link dropdown-toggle" type="button" id="dropdown-lightswitch" data-bs-toggle="dropdown" aria-expanded="false" aria-haspopup="true" aria-label="Light switch"><span class="fa fa-sun"></span></button>
  <ul class="dropdown-menu dropdown-menu-end" aria-labelledby="dropdown-lightswitch"><li><button class="dropdown-item" data-bs-theme-value="light"><span class="fa fa-sun"></span> Light</button></li>
    <li><button class="dropdown-item" data-bs-theme-value="dark"><span class="fa fa-moon"></span> Dark</button></li>
    <li><button class="dropdown-item" data-bs-theme-value="auto"><span class="fa fa-adjust"></span> Auto</button></li>
  </ul></li>
      </ul></div>


  </div>
</nav><div class="container template-reference-topic">
<div class="row">
  <main id="main" class="col-md-9"><div class="page-header">

      <h1>Backup Google Drive file locally</h1>
      <small class="dont-index">Source: <a href="https://gitlab.com/zdaarau/rpkgs/fokus/blob/HEAD/R/fokus.gen.R" class="external-link"><code>R/fokus.gen.R</code></a></small>
      <div class="d-none name"><code>backup_g_file.Rd</code></div>
    </div>

    <div class="ref-description section level2">
    <p>Creates a local backup of a <a href="https://en.wikipedia.org/wiki/Google_Drive" class="external-link">Google Drive</a> file.</p>
    </div>

    <div class="section level2">
    <h2 id="ref-usage">Usage<a class="anchor" aria-label="anchor" href="#ref-usage"></a></h2>
    <div class="sourceCode"><pre class="sourceCode r"><code><span><span class="fu">backup_g_file</span><span class="op">(</span></span>
<span>  <span class="va">g_id</span>,</span>
<span>  <span class="va">path</span>,</span>
<span>  type <span class="op">=</span> <span class="cn">NULL</span>,</span>
<span>  path_gcp_service_account_key <span class="op">=</span> <span class="fu"><a href="https://rdrr.io/r/base/Sys.getenv.html" class="external-link">Sys.getenv</a></span><span class="op">(</span><span class="st">"PATH_GCP_KEY_ZDA"</span><span class="op">)</span>,</span>
<span>  overwrite <span class="op">=</span> <span class="cn">TRUE</span>,</span>
<span>  force <span class="op">=</span> <span class="cn">FALSE</span>,</span>
<span>  quiet <span class="op">=</span> <span class="cn">TRUE</span></span>
<span><span class="op">)</span></span></code></pre></div>
    </div>

    <div class="section level2">
    <h2 id="arguments">Arguments<a class="anchor" aria-label="anchor" href="#arguments"></a></h2>


<dl><dt id="arg-g-id">g_id<a class="anchor" aria-label="anchor" href="#arg-g-id"></a></dt>
<dd><p>Google Drive file ID. A character scalar.</p></dd>


<dt id="arg-path">path<a class="anchor" aria-label="anchor" href="#arg-path"></a></dt>
<dd><p>Path to the local file backup destination. A character scalar.</p></dd>


<dt id="arg-type">type<a class="anchor" aria-label="anchor" href="#arg-type"></a></dt>
<dd><p>Desired type of the Google Drive file to be backed up. Only consulted if <code>g_id</code> identifies a native Google Apps file. Will be processed via
<code><a href="https://googledrive.tidyverse.org/reference/drive_mime_type.html" class="external-link">googledrive::drive_mime_type()</a></code>, so it can either be a file extension like <code>"pdf"</code>, a full MIME type like <code>"application/pdf"</code>, or <code>NULL</code> to determine the
type based on the file extension of <code>path</code> (if none is specified, falls back on the default type determined by the <a href="https://developers.google.com/drive/api/v3/" class="external-link">Google Drive API</a>). Note that <code>type</code> takes precedence over a possible file extension of <code>path</code>, but specifying only the
latter should normally suffice.</p></dd>


<dt id="arg-path-gcp-service-account-key">path_gcp_service_account_key<a class="anchor" aria-label="anchor" href="#arg-path-gcp-service-account-key"></a></dt>
<dd><p>Path to the GCP Service Account Key JSON file. See <code><a href="auth_g_drive_gcp.html">auth_g_drive_gcp()</a></code> for details.</p></dd>


<dt id="arg-overwrite">overwrite<a class="anchor" aria-label="anchor" href="#arg-overwrite"></a></dt>
<dd><p>Whether or not to overwrite an already existing file under <code>path</code>.</p></dd>


<dt id="arg-force">force<a class="anchor" aria-label="anchor" href="#arg-force"></a></dt>
<dd><p>Whether or not to force overwriting the file regardless whether it has changed since the last backup or not.</p></dd>


<dt id="arg-quiet">quiet<a class="anchor" aria-label="anchor" href="#arg-quiet"></a></dt>
<dd><p>Whether or not to <a href="https://googledrive.tidyverse.org/reference/googledrive-configuration.html" class="external-link">suppress printing status output from googledrive operations</a>.</p></dd>

</dl></div>
    <div class="section level2">
    <h2 id="value">Value<a class="anchor" aria-label="anchor" href="#value"></a></h2>
    <p>An object of class <a href="https://googledrive.tidyverse.org/reference/dribble.html" class="external-link">dribble</a>, a tibble with one row per file if local backup was (over)written, otherwise <code>NULL</code>, meaning
the remote file hasn't deviated from the local backup since the last run, invisibly.</p>
    </div>
    <div class="section level2">
    <h2 id="details">Details<a class="anchor" aria-label="anchor" href="#details"></a></h2>
    <p>Essentially a convenience wrapper around <code><a href="https://googledrive.tidyverse.org/reference/drive_download.html" class="external-link">googledrive::drive_download()</a></code>.</p>
<p>If a <a href="https://en.wikipedia.org/wiki/Google_Sheets" class="external-link">Google Sheet</a> that includes multiple worksheets is backed up to a file <code>type</code> that doesn't support
worksheets like <code>"csv"</code>, only the default (first) worksheet is written. In contrast, <code><a href="backup_g_sheet.html">backup_g_sheet()</a></code> allows to specify any worksheet to be backed up (but
always writes a single worksheet only regardless of the filetype).</p>
    </div>
    <div class="section level2">
    <h2 id="see-also">See also<a class="anchor" aria-label="anchor" href="#see-also"></a></h2>
    <div class="dont-index"><p>Other Google Apps functions:
<code><a href="auth_g_drive_gcp.html">auth_g_drive_gcp</a>()</code>,
<code><a href="auth_g_sheets_gcp.html">auth_g_sheets_gcp</a>()</code>,
<code><a href="backup_g_sheet.html">backup_g_sheet</a>()</code>,
<code><a href="g_file_mod_time.html">g_file_mod_time</a>()</code>,
<code><a href="upload_to_g_drive.html">upload_to_g_drive</a>()</code></p></div>
    </div>

  </main><aside class="col-md-3"><nav id="toc" aria-label="Table of contents"><h2>On this page</h2>
    </nav></aside></div>


    <footer><div class="pkgdown-footer-left">
  <p>Developed by Salim Brüggemann.</p>
</div>

<div class="pkgdown-footer-right">
  <p>Site built with <a href="https://pkgdown.r-lib.org/" class="external-link">pkgdown</a> 2.1.1.9000.</p>
</div>

    </footer></div>





  </body></html>

